import {
  BrowserRouter as Router,
  Switch,
  Route,
  Link
} from "react-router-dom";
import {CreateUserWidget, RecentActivityWidget, SystemStatusWidget} from './components'
import {AccountManager, AdminUI, Logger} from './views'
function App() {
  return (
    <Router>
      <AdminUI>
        <Switch>
          <Route path="/" exact>
            <CreateUserWidget />
            <RecentActivityWidget />
            <SystemStatusWidget />
          </Route>
          <Route path="/accounts">
            <AccountManager/>
          </Route>
        </Switch>
      </AdminUI>
    </Router>
  );
}

export default App;
