import React, { Component } from 'react'
import "./AdminUI.sass"
import {Link, NavLink} from 'react-router-dom'

export class AdminUI extends Component {
    render() {
        const children = this.props.children;
        return (
            <>
                <div id="header">
                    <h1>Doorlock Systems</h1>
                    <div id="header__search"><input id="header__search__input" type="text" placeholder="..."></input><button>Search</button></div>
                    <div id="header__menu">
                        <ul>
                            <li><Link to="/user_cp">User Settings</Link></li>
                            <li><Link to="/logout">Logout</Link></li>
                        </ul>
                    </div>
                </div>
                <div id="menu">
                    <h3>Menu</h3>
                    <ul>
                        <li><NavLink activeClassName="menu__active" exact to="/">Status</NavLink></li>
                        <li><NavLink activeClassName="menu__active" to="/accounts">Account</NavLink></li>
                        <li><NavLink activeClassName="menu__active" to="/log">Log</NavLink></li>
                        <li><NavLink activeClassName="menu__active" to="/backup">Backup</NavLink></li>
                        <li><NavLink activeClassName="menu__active" to="/admin">Admin</NavLink></li>
                    </ul>
                </div>
                <div id="main">
                    {children}
                </div>
                <div id="footer">Footer</div>
            </>
        )
    }
}

export default AdminUI
